Subject: FW: Affirmation of the Modern Global Standards Paradigm

From: John E Drake <[email-masked]>
Date: Tue, 14 Aug 2012 15:03:38 -0700

Hi,

Does this document actually have a purpose, and if so, what is it?

Thanks,

John

Sent from my iPhone

From: [email-masked] [mailto:[email-masked]] On Behalf Of IAB Chair
Sent: Wednesday, August 01, 2012 7:19 PM
To: [email-masked]
Subject: Affirmation of the Modern Global Standards Paradigm

The IAB, IESG, IEEE-SA and W3C have been developing an "Affirmation of the Modern Global Standards Paradigm"<http://www.ietf.org/proceedings/84/slides/slides-84-iesg-opsplenary-4.pdf>.  Comments may be sent to [email-masked]<mailto:[email-masked]>.

---

From: Eliot Lear <[email-masked]>
Date: Wed, 15 Aug 2012 08:24:55 +0200

John,

> Does this document actually have a purpose, and if so, what is it?

To me (and I speak only for me here), the purpose of this document is to
articulate principles that have made the Internet a success.  It is a
means to invite others to subscribe to those same principles, and there
are many standards organizations that do not.  Customers and society can
demand better, and this is an avenue for that.

Eliot

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 15 Aug 2012 07:59:52 +0100

> demand better, and this is an avenue for that.

I take it that John's question is really *why* do these principles need to
be articulated in public. Perhaps the IAB should answer that, but my answer
is: because there is a real danger of some SDOs, including but not limited
to the ITU-T, breaking them for a variety of commercial or political reasons.

   Brian

---

From: John E Drake <[email-masked]>
Date: Wed, 15 Aug 2012 05:16:59 -0700

Comment inline

Sent from my iPhone

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Wednesday, August 15, 2012 12:00 AM
> To: Eliot Lear
> Cc: John E Drake; [email-masked]; [email-masked]
> Subject: Re: FW: Affirmation of the Modern Global Standards Paradigm
> 
> > To me (and I speak only for me here), the purpose of this document is
> > to articulate principles that have made the Internet a success.  It
> is
> > a means to invite others to subscribe to those same principles, and
> > there are many standards organizations that do not.  Customers and
> > society can demand better, and this is an avenue for that.
> 
> I take it that John's question is really *why* do these principles need
> to be articulated in public. Perhaps the IAB should answer that, but my
> answer
> is: because there is a real danger of some SDOs, including but not
> limited to the ITU-T, breaking them for a variety of commercial or
> political reasons.

JD:  And how does this document prevent this abuse?

---

From: John E Drake <[email-masked]>
Date: Wed, 15 Aug 2012 05:15:03 -0700

Sent from my iPhone

From: Eliot Lear [mailto:[email-masked]]
Sent: Tuesday, August 14, 2012 11:25 PM
To: John E Drake
Cc: [email-masked]; [email-masked]
Subject: Re: FW: Affirmation of the Modern Global Standards Paradigm

John,

To me (and I speak only for me here), the purpose of this document is to articulate principles that have made the Internet a success.

JD:  This seems a bit presumptuous to me.

It is a means to invite others to subscribe to those same principles, and there are many standards organizations that do not.

JD:  I would be willing to bet that nearly every SDO would claim they embrace these same principles.

Customers and society can demand better, and this is an avenue for that.

JD:  How, exactly?

Eliot

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 15 Aug 2012 15:38:03 +0300

> JD:  And how does this document prevent this abuse?

Of course a document by itself, even if it contains the nicest principles, cannot prevent abuse. 
So, see it rather as a writeup that tries to capture the understanding of a number of SDOs.

---

From: John E Drake <[email-masked]>
Date: Wed, 15 Aug 2012 05:41:14 -0700

Comment inline

Sent from my iPhone

> From: Hannes Tschofenig [mailto:[email-masked]]
> Sent: Wednesday, August 15, 2012 5:38 AM
> To: John E Drake
> Cc: Hannes Tschofenig; Brian E Carpenter; Eliot Lear; [email-masked];
> [email-masked]
> Subject: Re: Affirmation of the Modern Global Standards Paradigm
> 
> 
> >> I take it that John's question is really *why* do these principles
> >> need to be articulated in public. Perhaps the IAB should answer
> that,
> >> but my answer

JD:  To what purpose?  As an aside, I get the 'feel-good' aspect, but is there anything more?

---

From: Eliot Lear <[email-masked]>
Date: Wed, 15 Aug 2012 14:44:16 +0200

Hi John,

On 8/15/12 2:15 PM, John E Drake wrote:
> to articulate principles that have made the Internet a success.
>
>  
>

It's an assertion.  I wouldn't claim, by the way, that this was the only
factor.  IMHO, it was a contributing factor.  Moore's Law and the
development of technology in general all contributed, but you had to
have a process that was open for the technology to flourish.  IMHO this
is why SNA, DECNET, Appletalk, XNS, OSI, and others did not win, where
IP did.

>  
>
> It is a means to invite others to subscribe to those same principles,
> and there are many standards organizations that do not.
>
>  
>

And that's a fair point.  The proof is in the pudding.  I believe, and I
know you do too, that the IETF itself can explain in clear indisputable
terms how it fulfills the principles of openness.  Anyone can join a WG
list.  Anyone can submit an Internet-Draft, anyone can comment on that
draft, anyone can request that draft's advancement, anyone can comment
on or contribute to or object to that draft's advancement, anyone can be
a part of the leadership (one needn't even have ever participated in the
IETF before!!).  Decisions are made through a consensus process.  That
process is designed to be transparent.  There are appellate avenues for
abuse of process.  They have worked and are working.  I am told for
instance that at this very moment there is an appeal before the
applications area director that seems to me particularly meaty.  That's
good.  It's important that people know that there is an appeals avenue
available.

The W3C is very similar.  The IEEE SA is also similar.  So are others,
and that's fine.  But there are many other organizations where it's just
not the case, and so...

> Customers and society can demand better, and this is an avenue for that.

How about a phone call?  A blog?  A press release?  Laws and regulations
requiring the use of standards based on those principles?

Eliot

---

From: Marie-France Berny <[email-masked]>
Date: Wed, 15 Aug 2012 14:48:10 +0200

Brian,

let be candid. The text of Bernard Adoba (Microsoft) is 100% in line with
the Microsoft political line broadly publish under cover of Human Rights as
the Global Network Initiative (http://www.globalnetworkinitiative.org/).
Since the co-founder/influencer of GNI is Google (with Yahoo!) also with
Microsoft a jewell member of ISOC, and that Russ Housley is security
specialist involved in the IEEE, this text, its signatoree and first
supporter were quickly identified in the political world as a confirmation
that the IAB is (now the IETF is an affiliate of ISOC) politically and
could therefore most probably technically be biaised in favor of the
interest of the US industry dominants club.

Obviously, in political situation nothing is first degree. So, the question
is why M$, Google, IBM, Yahoo!, Oracle etc. are exposing the credibility of
the IETF credibility a

2012/8/15 Brian E Carpenter <[email-masked]>

---

From: Marie-France Berny <[email-masked]>
Date: Wed, 15 Aug 2012 15:00:18 +0200

Sorry for sending the mail too fast. I finish it.

2012/8/15 Marie-France Berny <[email-masked]>

> Obviously, in political situations nothing is first degree. So, the
> question is why M$, Google, IBM, Yahoo!, Oracle etc. (the Unicode
> consortium, your company belongs to) are exposing the credibility of the
> IETF neutrality at this stage? There might be a global security oriented
> concern. There is certainly a concern regarding the multilinguistics of the
> Internet (leading to a multilatteral Internet). There is also the rogue
> attitude of ICANN to correct. There is also the lack of innovation due to
> the IETF slow-down. May be the Indian sub-continent oriented search of
> influence vs. China and Russia.
>

Frankly we are not interested in this in here. We are concerned by network
and network technology neutrality and best user interests. All this is to
try to defensively balkanize the net. Please, let discuss our common bits,
not the others' sins. Technical standards are not supposed to govern the
world, democratically elected government are. We are not interested in
protecting merchant interests and processes, but protocols and people.

My 3 cents.
MFBerny

---

From: John E Drake <[email-masked]>
Date: Wed, 15 Aug 2012 06:16:34 -0700

Eliot,

Your explanation of the document’s efficacy leaves me skeptical.   We should always do something for a reason.

Thanks,

John

Sent from my iPhone

From: Eliot Lear [mailto:[email-masked]]
Sent: Wednesday, August 15, 2012 5:44 AM
To: John E Drake
Cc: [email-masked]; IETF Discussion
Subject: Re: FW: Affirmation of the Modern Global Standards Paradigm

Hi John,

It's an assertion.  I wouldn't claim, by the way, that this was the only factor.  IMHO, it was a contributing factor.  Moore's Law and the development of technology in general all contributed, but you had to have a process that was open for the technology to flourish.  IMHO this is why SNA, DECNET, Appletalk, XNS, OSI, and others did not win, where IP did.

And that's a fair point.  The proof is in the pudding.  I believe, and I know you do too, that the IETF itself can explain in clear indisputable terms how it fulfills the principles of openness.  Anyone can join a WG list.  Anyone can submit an Internet-Draft, anyone can comment on that draft, anyone can request that draft's advancement, anyone can comment on or contribute to or object to that draft's advancement, anyone can be a part of the leadership (one needn't even have ever participated in the IETF before!!).  Decisions are made through a consensus process.  That process is designed to be transparent.  There are appellate avenues for abuse of process.  They have worked and are working.  I am told for instance that at this very moment there is an appeal before the applications area director that seems to me particularly meaty.  That's good.  It's important that people know that there is an appeals avenue available.

The W3C is very similar.  The IEEE SA is also similar.  So are others, and that's fine.  But there are many other organizations where it's just not the case, and so...

JD:  How, exactly?

How about a phone call?  A blog?  A press release?  Laws and regulations requiring the use of standards based on those principles?

Eliot

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 15 Aug 2012 17:33:28 +0300

Hi John, 

> JD:  To what purpose?  As an aside, I get the 'feel-good' aspect, but is there anything more?

I like the term - IAB documents as 'feel-good' publications. 

The IAB publishes a variety of different documents. Some of them are formal communication interactions with other organizations and others are documenting topics that could be of interest to the IETF community or even beyond. These documents are not enforceable in a legal sense (which is good). 

The content of this specific document did not surprise you and, as a regular IETF participant, it shouldn't. You look at the list of principles and they sound familiar - they make sense (at least to most of us, as folks noted in this discussion thread). The 'Openness', for example, is in my view extremely important since it allows relevant stakeholders to participate: Think about how low the barrier is to participate in the IETF. If you believe that the process has any impact on the quality of the specifications then the principles listed in the document may resonate with you. 

Many may consider these principles as so obvious that they are not worthwhile to write down. Unfortunately, they are not as obvious as one might think. There are other ways to do standardization and, as we have seen in the discussions on this list, some would like to change the rules of the game. I believe that this will have negative consequences for the Internet eco-system and for the speed of innovation we had gotten so used to. 

Whether this document can prevent bad things from happening is of course a separate story but it, at least, captures the views of a list of organizations active in Internet standardization. 

I hope that this makes sense to you. 

Ciao
Hannes

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 15 Aug 2012 17:09:03 +0100

>> JD:  To what purpose?  As an aside, I get the 'feel-good' aspect, but is there anything more?

When RFC 1984 was published, I was serving as IAB Chair and found myself invited
here and there to give talks to men in suits. Since crypto policy was a very hot
topic, it proved extremely useful to have a policy document to cite rather than
an audio recording of the Danbury plenary. Whether RFC 1984 had a significant
effect on the evolution of crypto policy is another matter, of course, but it
was a useful tool for the debate.

I think this Affirmation will be a good tool for the ongoing debate about standards
policy. As another thread has made clear, if that debate went badly, life for the
IETF could become very unpleasant.

    Brian

---

From: SM <[email-masked]>
Date: Wed, 15 Aug 2012 09:14:04 -0700

Hi Hannes,
At 07:33 15-08-2012, Hannes Tschofenig wrote:
>they make sense (at least to most of us, as folks noted in this 
>discussion thread). The 'Openness', for example, is in my view 
>extremely important since it allows relevant stakeholders to 
>participate: Think about how low the barrier is to participate in 
>the IETF. If you believe that the process has any impact on the 
>quality of the specifications then the principles listed in the 
>document may resonate with you.

Here's what I read on some random web site:

   'The [removed] is an open standards organization, allowing any entity or
    individual to participate in its standards development process as long as
    they follow the [removed] rules. "Open" does not mean "free," and
    participation in standards development is never completely "free."'

Let's replace the name with "IETF":

    The IETF is an open standards organization, allowing any entity or
    individual to participate in its standards development process as long as
    they follow the "Note Well".

IETF meeting participation is not free as there is an attendance 
fee.  However, nobody will check your badge and ask you to leave if 
you don't have one.  Mailing list participation is open.  You don't 
need to pay a fee; there isn't any rule to force a participant to 
subscribe to the mailing list.

In my opinion "openness" is not about stakeholders.  Stakeholders is 
a code word for a party who stands to win or lose money or market 
share based on the outcome of a decision.

The process has a negative impact on the quality of 
specifications.  There are odd cases where it has a positive 
impact.  You can either have a specification of high quality which 
people disagree with or you can have a specification of average 
quality which people can agree with.

>Many may consider these principles as so obvious that they are not 
>worthwhile to write down. Unfortunately, they are not as obvious as 
>one might think. There are other ways to do

Yes.

>  standardization and, as we have seen in the discussions on this 
> list, some would like to change the rules of the game. I believe 
> that this will have negative consequences for the Internet eco-

You may have seen the press release where "stakeholders from across 
industry, civil society and general public are encouraged to make 
their voices heard".  The words in the affirmation will be diluted 
and they will lose their original meaning.

Regards,
-sm

---

From: John E Drake <[email-masked]>
Date: Wed, 15 Aug 2012 10:39:51 -0700

Hannes,

Let me try a different tack:

1)  Is this document intended to change the way that the IETF interacts with other SDOs?

2)  What is the document's marginal utility?  I.e., what changes if it is published?

3)  Is there a plan of which this document is a part or is it simply a 'one-off'?

4)  What is the relationship between this document and the mission of the ISOC, which, as I understand it, is to promote the open development, evolution, and use of the Internet?

Thanks,

John

Sent from my iPhone

> Sent: Wednesday, August 15, 2012 7:33 AM
> To: John E Drake
> The IAB publishes a variety of different documents. Some of them are
> formal communication interactions with other organizations and others
> are documenting topics that could be of interest to the IETF community
> or even beyond. These documents are not enforceable in a legal sense
> (which is good).
> 
> The content of this specific document did not surprise you and, as a
> regular IETF participant, it shouldn't. You look at the list of
> principles and they sound familiar - they make sense (at least to most
> of us, as folks noted in this discussion thread). The 'Openness', for
> example, is in my view extremely important since it allows relevant
> stakeholders to participate: Think about how low the barrier is to
> participate in the IETF. If you believe that the process has any impact
> on the quality of the specifications then the principles listed in the
> worthwhile to write down. Unfortunately, they are not as obvious as one
> might think. There are other ways to do standardization and, as we have
> seen in the discussions on this list, some would like to change the
> rules of the game. I believe that this will have negative consequences
> for the Internet eco-system and for the speed of innovation we had
> gotten so used to.
> 
> Whether this document can prevent bad things from happening is of
> course a separate story but it, at least, captures the views of a list
> of organizations active in Internet standardization.
>

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 16 Aug 2012 11:10:02 +0300

Hi John, 

(responding with my personal views)

> 1)  Is this document intended to change the way that the IETF interacts with other SDOs?
Nope. We always interact with other SDOs in the same way since the IETF process does not provide options.

The intensity of the interactions and the degree of information exchange varies over time between the different organizations (quite naturally due to the topics different SDOs care about). 

The IAB has their liaison managers for the different organizations and just manages the liaison relationships. The actual liaison persons make sure that the information flows. From my experience it is best if there are engineers that participate in both organizations and use informal communication (rather than liaison statements).  

> 2)  What is the document's marginal utility?  I.e., what changes if it is published?

Informing others how various SDOs, including the IETF, develop standards. I believe there is value in education even though it is hard to measure: did someone learn something new from this specific document, did they already knew it upfront, learn it in discussions, etc.. Who knows. 
 
> 3)  Is there a plan of which this document is a part or is it simply a 'one-off'?

Education about what the IETF is about and what are the factors that make IETF protocols successful is an ongoing activity. 

Many of the IAB publications discuss different facets of this topic. Just pick a recently approved IAB document, namely http://tools.ietf.org/html/draft-iab-extension-recs-17. It builds on "What Makes for a Successful Protocol" [RFC5218] and discusses the challenging topic of how to define a protocol so that future extensions do not lead to interoperability problems. 
 
As you know, designing protocols is complex and requires a broad expertise. The IAB tries to provide guidance that often falls beyond a single protocol, working group or area. Best examples of broader guidance is RFC 3552 ("Guidelines for Writing RFC Text on Security Considerations") and http://tools.ietf.org/html/draft-iab-privacy-considerations-03 ("Privacy Considerations for Internet Protocols"). Sometimes the recommendations concern the interaction with other SDOs, such as with RFC 5704 "Uncoordinated Protocol Development Considered Harmful". 

As you can see from the examples above the guidance ranges from technical aspects to process related advice. 

The IAB, however, does not have endless resources to do everything alone (since the IAB charter gives us a number of functions; not only liaisons and architectural oversight). For that reason I am quite happy that there are others, like ISOC, CDT, journalists, etc. also share their views with the rest of the world. They use social media, blog posts, and all the great Web technologies to reach out to the wider Internet community to raise awareness. 

> 4)  What is the relationship between this document and the mission of the ISOC, which, as I understand it, is to promote the open development, evolution, and use of the Internet?

The Internet Society needs to speak for themselves. 

Ciao
Hannes

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 16 Aug 2012 11:02:06 +0100

On 16/08/2012 09:10, Hannes Tschofenig wrote:
...
> The Internet Society needs to speak for themselves. 

Quite right. However, the IAB's charter includes advising the ISOC, and this
Affirmation can fit right in there.

    Brian

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 16 Aug 2012 13:32:35 +0300

You seem to know the IAB charter quite well, Brian!

It is true that the mission of the Internet Society is "To promote the open development, evolution, and use of the Internet for the benefit of all people throughout the world". 

The principles listed in the discussed document are a good fit to the values of the Internet Society.